DECLARE @RequesterUserName NVARCHAR(50)
DECLARE @BlockedUserName NVARCHAR(50)

SET @RequesterUserName = N'ali'
SET @BlockedUserName = N'sonam'

INSERT INTO [tblBlockedUsers]
           ([BlockedUserName]
           ,[BlockedRequester])
     VALUES
           ((SELECT     IUserID  FROM         dbo.tblUsers  WHERE     (IUserName = @BlockedUserName))
           ,(SELECT     IUserID  FROM         dbo.tblUsers  WHERE     (IUserName = @RequesterUserName)))